diff --git a/changelog b/changelog
index c57185c..6dd8624 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20091006 tpd src/axiom-website/patches.html 20091006.06.tpd.patch
+20091006 tpd src/interp/fortcall.lisp cleanup
 20091006 tpd src/axiom-website/patches.html 20091006.05.tpd.patch
 20091006 tpd src/interp/g-util.lisp cleanup
 20091006 tpd src/axiom-website/patches.html 20091006.04.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index cb0ad00..210b669 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2117,5 +2117,7 @@ src/interp/i-analy.lisp cleanup<br/>
 src/interp/hypertex.lisp cleanup<br/>
 <a href="patches/20091006.05.tpd.patch">20091006.05.tpd.patch</a>
 src/interp/g-util.lisp cleanup<br/>
+<a href="patches/20091006.06.tpd.patch">20091006.06.tpd.patch</a>
+src/interp/fortcall.lisp cleanup<br/>
  </body>
 </html>
diff --git a/src/interp/fortcall.lisp.pamphlet b/src/interp/fortcall.lisp.pamphlet
index 3b025d4..72cc979 100644
--- a/src/interp/fortcall.lisp.pamphlet
+++ b/src/interp/fortcall.lisp.pamphlet
@@ -160,6 +160,7 @@
        (|name| |args| |userArgs| |dummies| |decls| |results|
                |returnType| |aspInfo|)
   (PROG (|asps| |scalarArgs| |arrayArgs| |orderedArgs| |file|)
+  (declare (special |$fortranDirectory|))
     (RETURN
       (SEQ (PROGN
              (SPADLET |asps|
@@ -236,6 +237,7 @@
        (|name| |args| |fortranArgs| |dummies| |decls| |results| |file|
                |dir| |returnType| |asps|)
   (PROG (|fp|)
+  (declare (special |$fortranLibraries|))
     (RETURN
       (PROGN
         (SPADLET |fp|
@@ -313,6 +315,7 @@
        (|name| |args| |fortranArgs| |dummies| |decls| |results|
                |returnType| |asps| |fp|)
   (PROG (|routineName| |returnName| |argList|)
+  (declare (special |$addUnderscoreToFortranNames|))
     (RETURN
       (SEQ (PROGN
              (WRITE-LINE (MAKESTRING "#include <stdio.h>") |fp|)
@@ -326,7 +329,7 @@
                  |fp|)
              (WRITE-LINE
                  (MAKESTRING
-                     "#define CHECK(x) if (!x) {fprintf(stderr,\"xdr failed\"); exit(1);}")
+         "#define CHECK(x) if (!x) {fprintf(stderr,\"xdr failed\"); exit(1);}")
                  |fp|)
              (WRITE-LINE (MAKESTRING "void main()") |fp|)
              (WRITE-LINE (MAKESTRING "{") |fp|)
@@ -484,6 +487,7 @@
 ;  PRINC(u,fp)
 
 (DEFUN |printCName| (|u| |ispointer| |asps| |fp|)
+  (declare (special |$addUnderscoreToFortranNames|))
   (COND
     ((|member| |u| |asps|) (PRINC |u| |fp|)
      (COND
@@ -613,6 +617,7 @@
 ;  wl([dec, '";"],fp)
 
 (DEFUN |printDec| (|type| |dec| |asps| |fp|)
+  (declare (special |$addUnderscoreToFortranNames|))
   (PROGN
     (|wt| (CONS (MAKESTRING "    ")
                 (CONS (COND ((LISTP |type|) (CAR |type|)) ('T |type|))
@@ -1311,6 +1316,7 @@
 ;  ]
 
 (DEFUN |makeAspGenerators1| (|asp| |type| |aspId|)
+  (declare (ignore |type|))
   (CONS (CONS (CONS '|$elt|
                     (CONS 'FOP (CONS '|pushFortranOutputStack| NIL)))
               (CONS (CONS '|filename|
@@ -1353,6 +1359,7 @@
 
 (DEFUN |makeCompilation| (|asps| |file| |aspId|)
   (PROG ()
+  (declare (special |$fortranLibraries| |$fortranCompilerName|))
     (RETURN
       (SEQ (CONS (CONS '|$elt|
                        (CONS '|Lisp| (CONS '|compileAndLink| NIL)))
@@ -2507,6 +2514,7 @@
 ;    getEnv('"SPADNUM"), GENTEMP('"NAG"),'"data")
 
 (DEFUN |generateDataName| ()
+  (declare (special |$fortranTmpDir|))
   (STRCONC |$fortranTmpDir| (|getEnv| (MAKESTRING "HOST"))
            (|getEnv| (MAKESTRING "SPADNUM"))
            (GENTEMP (MAKESTRING "NAG")) (MAKESTRING "data")))
@@ -2515,6 +2523,7 @@
 ;    getEnv('"SPADNUM"), GENTEMP('"NAG"),'"results")
 
 (DEFUN |generateResultsName| ()
+  (declare (special |$fortranTmpDir|))
   (STRCONC |$fortranTmpDir| (|getEnv| (MAKESTRING "HOST"))
            (|getEnv| (MAKESTRING "SPADNUM"))
            (GENTEMP (MAKESTRING "NAG")) (MAKESTRING "results")))
@@ -2607,6 +2616,7 @@
 (DEFUN |nagCall|
        (|objFiles| |nfile| |data| |results| |tmpFiled| |tmpFiler|)
   (PROG (|nagMessagesString| |toSend|)
+  (declare (special |$fortPersistence| |$nagHost| |$nagMessages|))
     (RETURN
       (PROGN
         (SPADLET |nagMessagesString|
@@ -2628,7 +2638,7 @@
            (|error| (CONS (MAKESTRING
                               "An error was detected while reading data: ")
                           (CONS (MAKESTRING
-                                    "perhaps an incorrect array index was given ?")
+                                "perhaps an incorrect array index was given ?")
                                 NIL)))))
         |results|))))
 
